
$os = (Get-WMIObject win32_operatingsystem ).caption #Operating system
$userinfo=Get-WmiObject win32_useraccount | select name   #userinfo
$userlogon=(Get-WmiObject win32_networkloginprofile ).lastlogon  #user logon
$services = get-wmiobject -class Win32_Service | format-list -property PSComputername, name, processid 
$processes = get-process
$NetConnections = Get-NetTCPConnection
$recentfiles = get-childitem -Path C:\\ | ?{$_.LastWriteTime -gt (Get-date).addDays(-30)} \
$logs = get-eventlogs -LogName Security -After (Get-Date).addDays(-30)


 
Write-Output " "
Write-Output "OS: $os" 
Write-Output "User Info: "$userinfo
Write-Output "Last Logon: $userlogon"
Write-Output "Services: "$services 
Write-Output "Processes: "$processes
Write-Output "Network Connections: "$NetConnections
Write-Output "Recent Files: "$recentfiles
Write-Output "Logs: " $logs
Write-Output " " 
   

  
